Subject: bug#74747: closed (Re: bug#74747: 30.0.92; scratch/igc: crashes when executing M-x list-packages)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Jan 2025 01:41:01 +0000

Your bug report

#74747: 30.0.92; scratch/igc: crashes when executing M-x list-packages

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74747: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74747
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#74747: 30.0.92; scratch/igc: crashes when executing M-x list-packages
From: Stefan Kangas <[email-masked]>
To: Pip Cet <[email-masked]>
Cc: [email-masked], Gregor Zattler <[email-masked]>
Date: Wed, 1 Jan 2025 19:40:40 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Pip Cet <[email-masked]> writes:

> "Gregor Zattler" <[email-masked]> writes:
>
>> Hi Pip, Gerd, Emacs developers,
>> * Pip Cet <[email-masked]> [2024-12-09; 16:02 GMT]:
>>> "Gregor Zattler via \"Bug reports for GNU Emacs, the Swiss army knife of text editors\"" <[email-masked]> writes:
>>>> I'm happy to answer very specifically
>>>> specified questions.
>>>
>>> Is this reproducible, or did it just happen once?
>>
>> this was reproducible, it happened
>> several times, while I tried to get as
>> much debug info as possible.
>
> Thank you, I've managed to reproduce it, and will push a bug fix very
> soon. The problem was that syms_of_threads isn't called after pdumping,
> only init_threads is, so we have to move the gc_init_header call
> there. My mistake, and thanks again for the report! Do let us know what
> your experiences with the scratch/igc branch are.
>
> Pip

I'm therefore closing this bug report.

Subject: 30.0.92; scratch/igc: crashes when executing M-x list-packages
From: Gregor Zattler <[email-masked]>
To: [email-masked]
Date: Mon, 09 Dec 2024 16:11:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Emacs-developers, Gerd,

Emacs from scratch/igc started with -Q
crashes when I do M-X list-packages.  I
produced some gdb output, see below.

I wondered, if such random bug reports
are of interest for scratch/igc at all
(if not, please drop this bug report,
it's in no way crucial to me) and if it
is appropriate to post them to the bug
tracker.  I think it would be helpful if
README-IGC would answer this two
questions.

I'm happy to answer very specifically
specified questions.

Regards, gregor

Starting program: /home/grfz/src/emacs-igc/src/emacs --debug-init -Q -xrm --init-directory="${USER_EMACS_DIRECTORY}" --fg-daemon="${EMACS_SERVER_NAME}"
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Detaching after vfork from child process 823489]
[Detaching after vfork from child process 823490]
[Detaching after vfork from child process 823491]

Breakpoint 1, terminate_due_to_signal (sig=sig@entry=6, backtrace_limit=backtrace_limit@entry=2147483647) at ./src/emacs.c:432
432	{
#0  terminate_due_to_signal (sig=sig@entry=6, backtrace_limit=backtrace_limit@entry=2147483647) at ./src/emacs.c:432
#1  0x00005555557d7c44 in set_state (state=state@entry=IGC_STATE_DEAD) at ./src/igc.c:858
#2  0x00005555557d7c78 in igc_assert_fail (file=file@entry=0x555555902930 "igc.c", line=line@entry=586, msg=msg@entry=0x5555559022d0 "header_type (h) == IGC_OBJ_PAD || nbytes >= sizeof (struct igc_fwd)") at ./src/igc.c:209
#3  0x00005555557d8413 in obj_size (h=h@entry=0x555555f991a0 <main_thread>) at ./src/igc.c:586
#4  0x00005555557d843d in igc_check_fwd (client=client@entry=0x555555f991a0 <main_thread>, is_vector=is_vector@entry=true) at ./src/igc.c:729
#5  0x000055555575ae0e in XVECTOR (a=Python Exception <class 'gdb.error'>: value has been optimized out
) at ./src/lisp.h:1839
#6  0x0000555555767806 in sxhash_obj (obj=Python Exception <class 'gdb.error'>: value has been optimized out
, depth=depth@entry=1) at ./src/fns.c:6064
#7  0x0000555555767aaf in sxhash_list (list=Python Exception <class 'gdb.error'>: value has been optimized out
, depth=0) at ./src/fns.c:5968
#8  0x0000555555767986 in sxhash_obj (obj=Python Exception <class 'gdb.error'>: value has been optimized out
, depth=depth@entry=0) at ./src/fns.c:6121
#9  0x0000555555767b58 in sxhash (obj=Python Exception <class 'gdb.error'>: value has been optimized out
) at ./src/fns.c:6035
#10 0x0000555555767bd7 in hashfn_equal (key=Python Exception <class 'gdb.error'>: value has been optimized out
, h=<optimized out>) at ./src/fns.c:4787
#11 0x0000555555764e7f in hash_from_key (key=Python Exception <class 'gdb.error'>: value has been optimized out
, h=0x7fffe2983000) at ./src/lisp.h:2905
#12 hash_lookup (h=h@entry=0x7fffe2983000, key=key@entry=XIL(0x7fffe2b2264b)) at ./src/fns.c:5220
#13 0x00005555557666ed in Fgethash (key=XIL(0x7fffe2b2264b), table=XIL(0x7fffe2983005), dflt=Python Exception <class 'gdb.error'>: value has been optimized out
) at ./src/fns.c:6539
#14 0x00007fffdf31c3df in F75726c2d687474702d66696e642d667265652d636f6e6e656374696f6e_url_http_find_free_connection_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/url-http-d4259444-48ecb206.eln
#15 0x0000555555754f93 in funcall_subr (subr=0x7fffe29834e8, numargs=numargs@entry=3, args=args@entry=0x7fffffffb348) at ./src/eval.c:3171
#16 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe29834ed), numargs=numargs@entry=3, args=args@entry=0x7fffffffb348) at ./src/eval.c:3046
#17 0x0000555555753bb3 in Ffuncall (nargs=4, args=0x7fffffffb340) at ./src/eval.c:3099
#18 0x00007fffdf32495b in F75726c2d68747470_url_http_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/url-http-d4259444-48ecb206.eln
#19 0x0000555555754fcb in funcall_subr (subr=0x7fffe2984028, numargs=numargs@entry=5, args=args@entry=0x7fffffffb4d8) at ./src/eval.c:3175
#20 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe298402d), numargs=numargs@entry=5, args=args@entry=0x7fffffffb4d8) at ./src/eval.c:3046
#21 0x0000555555753bb3 in Ffuncall (nargs=6, args=0x7fffffffb4d0) at ./src/eval.c:3099
#22 0x00007fffdf327a8e in F75726c2d6874747073_url_https_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/url-http-d4259444-48ecb206.eln
#23 0x0000555555754f93 in funcall_subr (subr=0x7fffe2984820, numargs=numargs@entry=3, args=args@entry=0x7fffffffb660) at ./src/eval.c:3171
#24 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe2984825), numargs=numargs@entry=3, args=args@entry=0x7fffffffb660) at ./src/eval.c:3046
#25 0x0000555555753bb3 in Ffuncall (nargs=4, args=0x7fffffffb658) at ./src/eval.c:3099
#26 0x00007fffdf406cff in F75726c2d72657472696576652d696e7465726e616c_url_retrieve_internal_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/url-38944b26-f41498be.eln
#27 0x0000555555754fcb in funcall_subr (subr=0x7fffe276cde8, numargs=numargs@entry=5, args=args@entry=0x7fffffffb7b8) at ./src/eval.c:3175
#28 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe276cded), numargs=numargs@entry=5, args=args@entry=0x7fffffffb7b8) at ./src/eval.c:3046
#29 0x0000555555753bb3 in Ffuncall (nargs=6, args=0x7fffffffb7b0) at ./src/eval.c:3099
#30 0x00007fffdf40632c in F75726c2d7265747269657665_url_retrieve_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/url-38944b26-f41498be.eln
#31 0x0000555555754fcb in funcall_subr (subr=0x7fffe276cce0, numargs=numargs@entry=4, args=args@entry=0x7fffffffb940) at ./src/eval.c:3175
#32 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe276cce5), numargs=numargs@entry=4, args=args@entry=0x7fffffffb940) at ./src/eval.c:3046
#33 0x0000555555753bb3 in Ffuncall (nargs=5, args=0x7fffffffb938) at ./src/eval.c:3099
#34 0x00007fffdfa6947c in F7061636b6167652d2d776974682d726573706f6e73652d6275666665722d31_package__with_response_buffer_1_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/package-14201d8e-2a4590ca.eln
#35 0x00005555557550cd in funcall_subr (subr=0x7fffe27866a8, numargs=numargs@entry=10, args=args@entry=0x7fffffffbb08) at ./src/eval.c:3190
#36 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe27866ad), numargs=numargs@entry=10, args=args@entry=0x7fffffffbb08) at ./src/eval.c:3046
#37 0x0000555555753bb3 in Ffuncall (nargs=11, args=0x7fffffffbb00) at ./src/eval.c:3099
#38 0x00007fffdfa6d249 in F7061636b6167652d2d646f776e6c6f61642d6f6e652d61726368697665_package__download_one_archive_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/package-14201d8e-2a4590ca.eln
#39 0x0000555555754f93 in funcall_subr (subr=0x7fffe2788540, numargs=numargs@entry=3, args=args@entry=0x7fffffffbcc0) at ./src/eval.c:3171
#40 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe2788545), numargs=numargs@entry=3, args=args@entry=0x7fffffffbcc0) at ./src/eval.c:3046
#41 0x0000555555753bb3 in Ffuncall (nargs=4, args=0x7fffffffbcb8) at ./src/eval.c:3099
#42 0x00007fffdfa6d391 in F7061636b6167652d2d646f776e6c6f61642d616e642d726561642d6172636869766573_package__download_and_read_archives_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/package-14201d8e-2a4590ca.eln
#43 0x0000555555754f6b in funcall_subr (subr=0x7fffe27885d0, numargs=numargs@entry=1, args=args@entry=0x7fffffffbf68) at ./src/eval.c:3167
#44 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe27885d5), numargs=numargs@entry=1, args=args@entry=0x7fffffffbf68) at ./src/eval.c:3046
#45 0x0000555555753bb3 in Ffuncall (nargs=2, args=0x7fffffffbf60) at ./src/eval.c:3099
#46 0x0000555555753ffb in funcall_nil (nargs=<optimized out>, args=<optimized out>) at ./src/eval.c:2782
#47 0x0000555555753087 in run_hook_with_args (nargs=2, args=0x7fffffffbf60, funcall=funcall@entry=0x555555753ff2 <funcall_nil>) at ./src/eval.c:2959
#48 0x0000555555753118 in Frun_hook_with_args (nargs=<optimized out>, args=<optimized out>) at ./src/eval.c:2824
#49 0x00005555557550cd in funcall_subr (subr=0x555555fb0e20 <Srun_hook_with_args>, numargs=numargs@entry=2, args=args@entry=0x7fffffffbf60) at ./src/eval.c:3190
#50 0x0000555555756b6c in funcall_general (fun=XIL(0x555555fb0e25), numargs=numargs@entry=2, args=args@entry=0x7fffffffbf60) at ./src/eval.c:3046
#51 0x0000555555753bb3 in Ffuncall (nargs=3, args=0x7fffffffbf58) at ./src/eval.c:3099
#52 0x00007fffdfa6d6de in F7061636b6167652d726566726573682d636f6e74656e7473_package_refresh_contents_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/package-14201d8e-2a4590ca.eln
#53 0x0000555555754f6b in funcall_subr (subr=0x7fffe27886c0, numargs=numargs@entry=1, args=args@entry=0x7fffffffc0a8) at ./src/eval.c:3167
#54 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe27886c5), numargs=numargs@entry=1, args=args@entry=0x7fffffffc0a8) at ./src/eval.c:3046
#55 0x0000555555753bb3 in Ffuncall (nargs=2, args=0x7fffffffc0a0) at ./src/eval.c:3099
#56 0x00007fffdfa7addf in F7061636b6167652d6d656e752d2d726566726573682d636f6e74656e7473_package_menu__refresh_contents_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/package-14201d8e-2a4590ca.eln
#57 0x0000555555754f7d in funcall_subr (subr=0x7fffe27a14e0, numargs=numargs@entry=0, args=args@entry=0x7fffffffc1d0) at ./src/eval.c:3169
#58 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe27a14e5), numargs=numargs@entry=0, args=args@entry=0x7fffffffc1d0) at ./src/eval.c:3046
#59 0x0000555555753bb3 in Ffuncall (nargs=1, args=0x7fffffffc1c8) at ./src/eval.c:3099
#60 0x00007fffdfa7eb04 in F6c6973742d7061636b61676573_list_packages_0 () at /home/grfz/src/emacs-igc/native-lisp/31.0.50-2075eb20/package-14201d8e-2a4590ca.eln
#61 0x0000555555754f6b in funcall_subr (subr=0x7fffe27a27f8, numargs=numargs@entry=1, args=args@entry=0x7fffffffc490) at ./src/eval.c:3167
#62 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe27a27fd), numargs=numargs@entry=1, args=args@entry=0x7fffffffc490) at ./src/eval.c:3046
#63 0x0000555555753bb3 in Ffuncall (nargs=nargs@entry=2, args=args@entry=0x7fffffffc488) at ./src/eval.c:3099
#64 0x000055555574e62b in Ffuncall_interactively (nargs=2, args=0x7fffffffc488) at ./src/callint.c:250
#65 0x00005555557550cd in funcall_subr (subr=0x555555fb0880 <Sfuncall_interactively>, numargs=numargs@entry=2, args=args@entry=0x7fffffffc488) at ./src/eval.c:3190
#66 0x0000555555756b6c in funcall_general (fun=XIL(0x555555fb0885), numargs=numargs@entry=2, args=args@entry=0x7fffffffc488) at ./src/eval.c:3046
#67 0x0000555555753bb3 in Ffuncall (nargs=nargs@entry=3, args=args@entry=0x7fffffffc480) at ./src/eval.c:3099
#68 0x0000555555750567 in Fcall_interactively (function=Python Exception <class 'gdb.error'>: value has been optimized out
, record_flag=Python Exception <class 'gdb.error'>: value has been optimized out
, keys=Python Exception <class 'gdb.error'>: value has been optimized out
) at ./src/callint.c:789
#69 0x00007ffff27ee8f5 in F636f6d6d616e642d65786563757465_command_execute_0 () at /home/grfz/src/emacs-igc/src/../native-lisp/31.0.50-2075eb20/preloaded/simple-fab5b0cf-f25e9023.eln
#70 0x0000555555754fad in funcall_subr (subr=0x7fffe139d428, numargs=numargs@entry=2, args=args@entry=0x7fffffffc898) at ./src/eval.c:3173
#71 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe139d42d), numargs=numargs@entry=2, args=args@entry=0x7fffffffc898) at ./src/eval.c:3046
#72 0x0000555555753bb3 in Ffuncall (nargs=3, args=0x7fffffffc890) at ./src/eval.c:3099
#73 0x00007ffff27ed6e0 in F657865637574652d657874656e6465642d636f6d6d616e64_execute_extended_command_0 () at /home/grfz/src/emacs-igc/src/../native-lisp/31.0.50-2075eb20/preloaded/simple-fab5b0cf-f25e9023.eln
#74 0x0000555555754f93 in funcall_subr (subr=0x7fffe09a9e10, numargs=numargs@entry=3, args=args@entry=0x7fffffffcb70) at ./src/eval.c:3171
#75 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe09a9e15), numargs=numargs@entry=3, args=args@entry=0x7fffffffcb70) at ./src/eval.c:3046
#76 0x0000555555753bb3 in Ffuncall (nargs=nargs@entry=4, args=args@entry=0x7fffffffcb68) at ./src/eval.c:3099
#77 0x000055555574e62b in Ffuncall_interactively (nargs=4, args=0x7fffffffcb68) at ./src/callint.c:250
#78 0x00005555557550cd in funcall_subr (subr=0x555555fb0880 <Sfuncall_interactively>, numargs=numargs@entry=4, args=args@entry=0x7fffffffcb68) at ./src/eval.c:3190
#79 0x0000555555756b6c in funcall_general (fun=XIL(0x555555fb0885), numargs=numargs@entry=4, args=args@entry=0x7fffffffcb68) at ./src/eval.c:3046
#80 0x0000555555753bb3 in Ffuncall (nargs=nargs@entry=5, args=args@entry=0x7fffffffcb60) at ./src/eval.c:3099
#81 0x0000555555753fc0 in Fapply (nargs=nargs@entry=3, args=args@entry=0x7fffffffccd0) at ./src/eval.c:2771
#82 0x000055555574f3fd in Fcall_interactively (function=Python Exception <class 'gdb.error'>: value has been optimized out
, record_flag=Python Exception <class 'gdb.error'>: value has been optimized out
, keys=Python Exception <class 'gdb.error'>: value has been optimized out
) at ./src/callint.c:342
#83 0x00007ffff27ee8f5 in F636f6d6d616e642d65786563757465_command_execute_0 () at /home/grfz/src/emacs-igc/src/../native-lisp/31.0.50-2075eb20/preloaded/simple-fab5b0cf-f25e9023.eln
#84 0x0000555555754fad in funcall_subr (subr=0x7fffe139d428, numargs=numargs@entry=1, args=args@entry=0x7fffffffcf58) at ./src/eval.c:3173
#85 0x0000555555756b6c in funcall_general (fun=XIL(0x7fffe139d42d), numargs=numargs@entry=1, args=args@entry=0x7fffffffcf58) at ./src/eval.c:3046
#86 0x0000555555753bb3 in Ffuncall (nargs=nargs@entry=2, args=args@entry=0x7fffffffcf50) at ./src/eval.c:3099
#87 0x00005555556da777 in command_loop_1 () at ./src/lisp.h:1222
#88 0x000055555575277c in internal_condition_case (bfun=bfun@entry=0x5555556da2f8 <command_loop_1>, handlers=Python Exception <class 'gdb.error'>: value has been optimized out
, handlers@entry=XIL(0xa8), hfun=hfun@entry=0x5555556cd720 <cmd_error>) at ./src/eval.c:1618
#89 0x00005555556c5003 in command_loop_2 (handlers=handlers@entry=XIL(0xa8)) at ./src/keyboard.c:1174
#90 0x0000555555752687 in internal_catch (tag=Python Exception <class 'gdb.error'>: value has been optimized out
, tag@entry=XIL(0x15460), func=func@entry=0x5555556c4fe9 <command_loop_2>, arg=Python Exception <class 'gdb.error'>: value has been optimized out
, arg@entry=XIL(0xa8)) at ./src/eval.c:1297
#91 0x00005555556c4fc6 in command_loop () at ./src/lisp.h:1222
#92 0x00005555556cd236 in recursive_edit_1 () at ./src/keyboard.c:760
#93 0x00005555556cd5d8 in Frecursive_edit () at ./src/keyboard.c:843
#94 0x00005555556c4977 in main (argc=6, argv=0x7fffffffd328) at ./src/emacs.c:2646

Lisp Backtrace:
"url-http-find-free-connection" (0xffffb348)
"url-http" (0xffffb4d8)
"url-https" (0xffffb660)
"url-retrieve-internal" (0xffffb7b8)
"url-retrieve" (0xffffb940)
"package--with-response-buffer-1" (0xffffbb08)
"package--download-one-archive" (0xffffbcc0)
"package--download-and-read-archives" (0xffffbf68)
"run-hook-with-args" (0xffffbf60)
"package-refresh-contents" (0xffffc0a8)
"package-menu--refresh-contents" (0xffffc1d0)
"list-packages" (0xffffc490)
"funcall-interactively" (0xffffc488)
"command-execute" (0xffffc898)
"execute-extended-command" (0xffffcb70)
"funcall-interactively" (0xffffcb68)
"command-execute" (0xffffcf58)

In GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, cairo version
 1.16.0) of 2024-12-07 built on no
Repository revision: 308b216444b29b2d2f111d32db6d55a5322282cd
Repository branch: scratch/igc
Windowing system distributor 'The X.Org Foundation', version 11.0.12101007
System Description: Debian GNU/Linux 12 (bookworm)

Configured using:
 'configure --infodir=/usr/share/info/emacs --with-json
 --with-file-notification=yes --with-libsystemd --with-cairo
 --with-x=yes --with-x-toolkit=no --without-toolkit-scroll-bars
 --without-gsettings --enable-check-lisp-object-type
 --enable-checking=yes,glyphs,igc_check_fwd,igc_debug, --with-mps=debug
 'CFLAGS=-ggdb3 -Og
 -ffile-prefix-map=/home/grfz/src/emacs-igc=. -fstack-protector-strong
 -Wformat -Werror=format-security' 'CPPFLAGS=-I/home/grfz/mps-artifacts
 -Wdate-time -D_FORTIFY_SOURCE=2' 'LDFLAGS=-L/home/grfz/mps-artifacts
 -Wl,-z,relro''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM HARFBUZZ JPEG LCMS2
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES MPS NATIVE_COMP
NOTIFY INOTIFY OLDXMENU PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS
TIFF WEBP X11 XDBE XIM XINPUT2 XPM ZLIB

Important settings:
  value of $LC_ALL:
  value of $LC_COLLATE: de_DE.utf8
  value of $LC_CTYPE: de_DE.utf8
  value of $LC_MESSAGES: POSIX
  value of $LC_MONETARY: de_DE.utf8
  value of $LC_NUMERIC: de_DE.utf8
  value of $LC_TIME: de_DE.utf8
  value of $LANG: de_DE.utf8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  server-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  minibuffer-regexp-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util text-property-search time-date subr-x mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils pp
cl-loaddefs cl-lib server rmc iso-transl tooltip cconv eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd touch-screen tool-bar dnd fontset
image regexp-opt fringe tabulated-list replace newcomment text-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
theme-loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting font-render-setting cairo xinput2 x multi-tty
move-toolbar make-network-process native-compile mps emacs)

Memory information:
((conses 24 0 0) (symbols 56 0 0) (strings 40 0 0) (string-bytes 1 0)
 (vectors 24 0) (vector-slots 8 0 0) (floats 24 0 0)
 (intervals 64 0 0) (buffers 992 0))

Ciao,
--
Gregor